4 Replies Latest reply: Jun 12, 2012 10:28 AM by spaffo RSS

    Failed install of APEX 4.1.1 into 11.1.0.7.11 database

    spaffo
      Hi, I'm a newbie posting to this forum but have found some great information here in the past. So here goes. I'm installing APEX 4.1.1 (not the patch but the entire distribution) into an 11.1.0.7.11 database on a linux server. The installation fails with the error below. I've searched everywhere and cannot figure out what it is referencing. Nor have I seen anyone else run into this. Any help would be much appreciated. thanks, Nancy

      -- Now beginning upgrade. This will take several minutes.-------
      -- Ensuring template names are unique -------
      -- Migrating metadata to new schema -------
      begin
      *
      ERROR at line 1:
      ORA-06550: line 1, column 68:
      PL/SQL: ORA-00942: table or view does not exist
      ORA-06550: line 1, column 7:
      PL/SQL: SQL Statement ignored
      ORA-06512: at "APEX_040100.WWV_FLOW_UPGRADE", line 738
      ORA-06512: at "APEX_040100.WWV_FLOW_UPGRADE", line 1700
      ORA-06512: at line 4
        • 1. Re: Failed install of APEX 4.1.1 into 11.1.0.7.11 database
          Prabodh
          Hi,

          I suspect there are other object creation error before this one. Did you check the install<YYYY-MM-DD_HH24-MI-SS>.log file?

          Please check any of the apex tablespaces are full, i.e. the first and second parameters supplied to apexins script.

          If the tablespace(s) is full then you will need to increase the size of the tablespace(s), remove Apex(apxremov.sql) and install again.

          Regards,
          • 2. Re: Failed install of APEX 4.1.1 into 11.1.0.7.11 database
            spaffo
            Thanks for the response although it isn't the issue. The SYSAUX tablespace (which is where I am installing APEX) is set to autoextend with a max size of unlimited. It is currently only 1.5 GB. Also, I verified that the ASSM option is turned on. (I saw this issue on another post about a failing install)

            The error enclosed is the only error in the install log. Which is why this is so perplexing.

            Any other thoughts or input would be appreciated.

            Edited by: spaffo on Jun 11, 2012 1:52 PM
            • 3. Re: Failed install of APEX 4.1.1 into 11.1.0.7.11 database
              Prabodh
              Hi,

              Oracle 11g comes with Apex built-in. And you cannot upgrade 4.x to another 4.x using a full install, you have to use the patch.

              To eliminate possibility of an existing Apex installation causing this error run apxremov.sql to remove existing Apex, if any, and then try the install the way you are trying it.

              Regards,
              • 4. Re: Failed install of APEX 4.1.1 into 11.1.0.7.11 database
                spaffo
                My colleague Janelle removed the user APEX_030000 that was there by default. Then she was able to successfully install the 4.1.1 application express using the full distribution.

                Thanks for your help!